Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QClipboard.Mode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QClipboard.Mode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QClipboard

    public static final class QClipboard.Mode

extends java.lang.Enum
implements QtEnumerator

This enum type is used to control which part of the system clipboard is used by `QClipboard::mimeData()`, `QClipboard::setMimeData()` and related functions.

See also:
  `QClipboard::supportsSelection()`.

See Also:
  Serialized Form

Field Summary
`static QClipboard.Mode` | `Clipboard` indicates that data should be stored and retrieved from the global clipboard.
`static QClipboard.Mode` | `FindBuffer` indicates that data should be stored and retrieved from the Find buffer.
`static QClipboard.Mode` | `Selection` indicates that data should be stored and retrieved from the global mouse selection.

Method Summary
`static QClipboard.Mode` | `resolve(int value)` Returns the QClipboard$Mode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QClipboard.Mode` | `valueOf(java.lang.String name)`
`static QClipboard.Mode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Clipboard

    public static final QClipboard.Mode Clipboard

  indicates that data should be stored and retrieved from the global clipboard.

### Selection

    public static final QClipboard.Mode Selection

  indicates that data should be stored and retrieved from the global mouse selection. Support for `Selection` is provided only on systems with a global mouse selection (e.g. X11).

### FindBuffer

    public static final QClipboard.Mode FindBuffer

  indicates that data should be stored and retrieved from the Find buffer. This mode is used for holding search strings on Mac OS X.

Method Detail

### values

    public static QClipboard.Mode[] values()

### valueOf

    public static QClipboard.Mode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QClipboard.Mode resolve(int value)

  Returns the QClipboard$Mode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD